// $Header: https://oberon.oapd.inaf.it/shins/trunk/shins/src/obs_ctrl/systemI.cpp 3765 2021-11-11 10:47:14Z depa $

#include "systemI.hpp"

SystemI::SystemI()
{
    U6_LLOG(__FUNCTION__);
//    W_LLOG("Provide implementation for contructor");
    U8_LLOG("");
}


SystemI::~SystemI()
{
    U6_LLOG(__FUNCTION__);
    W_LLOG("Provide implementation for destructor");
    U8_LLOG("");
}


Ice::Int SystemI::getpid(const Ice::Current&)
{
    U6_LLOG(__FUNCTION__);
    Ice::Int pid = -1;
    W_LLOG("Provide implementation for getpid");
    U8_LLOG("");
    return pid;
}


void SystemI::kill (const IceUtil::Optional<Ice::Int>& _pid, const Ice::Current&)
{
    U6_LLOG(__FUNCTION__);
    W_LLOG("Provide implementation for kill");
    U8_LLOG("");
}


void SystemI::sendInterruptSignal(const IceUtil::Optional<Ice::Int>& _pid, const Ice::Current&)
{
    U6_LLOG(__FUNCTION__);
    W_LLOG("Provide implementation for sendAbrtSignal");
    U8_LLOG("");
}
